*This sample code uses the replicate weights to find the standard means for four variables (r1 - r4) for FY 2018;

%let fy=18;
%let rw = w_1-w_500;
%let nbr_weights=500;

libname n "<<location of QCFY20fy data>>";
libname r "<<location of FY20fy replicate weights>>";

proc sort data=n.qcfy20&fy out=qc;
    by hhldno;
run;
proc sort data=r.weightds out=rw;
    by hhldno;
run;
data analysis;
    merge qc rw;
    by hhldno;
    nbr_months = 12;
    * adjust number of months per fiscal year (No changes necessary in FY 2009 - FY 2016);
    * Note: In some years, the number of months must be adjusted for specific States due to missing data. See adjustments for FY 2017 (RI and VI) and FY 2018 (RI) below;
    if state in (44, 78) and &fy=17 then nbr_months=9;
    if state in (44) and &fy=18 then nbr_months=7;
run;
data analysis;
    set analysis;
    array rw &rw;
    avg_hwgt = hwgt / nbr_months;
    do i=1 to &nbr_weights;
        rw[i] = rw[i] / nbr_months;
        end;
    * code variables of interest;
    r1 = 1;
    r2 = (fsnelder>0);
    r3 = (fsnelder=0);
    r4 = (fsnkid>0);
run;

* see the following pages for more information about SAS survey methods; 
* https://support.sas.com/documentation/cdl/en/statug/63962/HTML/default/viewer.htm#surveymeans_toc.htm;
* https://support.sas.com/documentation/cdl/en/statug/63962/HTML/default/viewer.htm#surveyfreq_toc.htm;
* https://support.sas.com/documentation/cdl/en/statug/63962/HTML/default/viewer.htm#surveyreg_toc.htm;


proc surveymeans data=analysis mean varmethod=brr;
    repweights &rw;
    weight avg_hwgt;
    var r1-r4;
run;
